import { EventEmitter } from '../../stencil.core';
export declare class Map {
    el: HTMLElement;
    glDrawCreate: EventEmitter;
    glDrawDelete: EventEmitter;
    glDrawEnter: EventEmitter;
    glDrawExit: EventEmitter;
    glStyleUpdated: EventEmitter;
    draw: any;
    drawOptions?: any;
    drawing: boolean;
    glyphs: string;
    id: string;
    latitude: number;
    longitude: number;
    zoom: number;
    minzoom: number;
    maxzoom: number;
    sprite: string;
    map: any;
    private _resizeMapTimeout;
    private _style;
    private _updateStyleTimeout;
    componentWillLoad(): void;
    componentDidUpdate(): void;
    updateStyle(): Promise<void>;
    handleStyleAdded(): Promise<void>;
    handleStyleModified(): Promise<void>;
    handleStyleRemoved(): Promise<void>;
    updateDrawing(): Promise<void>;
    resizeMap(): void;
    getStyleLayers(styleId: string, json: any): any[];
    getStyleSources(styleId: string, json: any): {};
    loadStyle(): any;
    prefix(styleId: string, value: string): string;
}
